# -*- coding: utf-8 -*-

# Copyright (2017-2018) Hewlett Packard Enterprise Development LP
#
# Licensed under the Apache License, Version 2.0 (the "License"); you may
# not use this file except in compliance with the License. You may obtain
# a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and limitations
# under the License.

import json


from oneview_redfish_toolkit.api.session import Session
from oneview_redfish_toolkit.tests.base_test import BaseTest


class TestSession(BaseTest):
    """Tests for Session class"""

    def test_serialize(self):
        """Tests the serialize function result against known result"""

        session = Session("e2807c0b-87d6-4304-a773-6ec33521fb1c")
        result = json.loads(session.serialize())

        with open(
            'oneview_redfish_toolkit/mockups/redfish/Session.json'
        ) as f:
            session_mockup = json.load(f)
        self.assertEqualMockup(session_mockup, result)
